//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/utils/formatNumber.js
var e = /* @__PURE__ */ new Map();
function t(t, n) {
	let r = JSON.stringify({
		locale: t,
		options: n
	}), i = e.get(r);
	if (i) return i;
	let a = new Intl.NumberFormat(t, n);
	return e.set(r, a), a;
}
function n(e, n, r) {
	return e == null ? "" : t(n, r).format(e);
}
function r(e, t, r) {
	return e == null ? "" : r ? n(e, t, r) : n(e / 100, t, { style: "percent" });
}
//#endregion
//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/utils/valueToPercent.js
function i(e, t, n) {
	return (e - t) * 100 / (n - t);
}
//#endregion
export { n, r, i as t };
